/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * Basic interface to invoke testcases
 * @author Bryan Aupperle
 *
 */

/* @WebFault(name="TestException", targetNamespace="http://test.sca.oasisopen.org/") */
struct TestException {
   char *faultInfo;
};

/*
 * @WebService(targetNamespace="http://test.sca.oasisopen.org/")
 * @Remotable
 */

/**
 * Function for invoking testcase
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
/* @WebThrows(faults="TestException") */
char *invokeTest(const char *input);


